[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TMemIniFile.SetStrings

Set data from a stringlist

## Declaration

Source position: inifiles.pp line 197

`public procedure TMemIniFile.SetStrings(`
`List: TStrings`
`);`

## Arguments

`List` |  | Stringlist to get data from

## Description

SetStrings sets the in-memory data from the List stringlist. The data is first cleared.

The SetStrings call can be used to set the data of the ini file to a list of strings obtained with GetStrings. The two calls combined can be used to copy data between 2 in-memory ini files.

## See also

GetStrings |  | Get contents of ini file as stringlist
Clear |  | Clear the data

The latest version of this document can be found at lazarus-ccr.sourceforge.net .